Issue #103 resolved

Update commons-daemon library to the latest version

Anonymous created an issue

Is it possible to update the commons-daemon library to the latest version (1.0.10 as of today)?

Comments (9)

  1. Sebastian Sdorra repo owner

    I would like to, but there are no binaries for linux, mac os and solaris. I've not the time to build it by myself for all those platforms (32 and 64 Bit) and I'm not sure if i can use the old binaries for *unix with the new version of the java api. Are there problems with the older version?

  2. Eduard-Cristian Stefan

    Not problems, just the umask feature in 1.0.8: DAEMON-221: Add -umask to jsvc so that users don't have to recompile the jsvc if different umask is desired (1.0.8)

    I have just built jsvc from source (1.0.10) and it works fine (on Debian 6.0.4 x86). The 1.0.10 release is compatible with 1.0.3, and the provided binaries are 1.0.5 (if I remember correctly). From the release notes:

    http://www.apache.org/dist/commons/daemon/RELEASE-NOTES.txt

    Compatibility with 1.0.3
    Binary compatible - Yes
    Source compatible - Yes
    Semantic compatible - Yes
    Commons DAEMON 1.0.3 requires a minimum of JDK 1.3
    

    I can provide jsvc binaries for Linux x86 today, and for x64 after I set up a VM.

  3. Log in to comment